Subject: Re: bug#40271: 26.3; gdb-mode fails to initialize if the target executable is built without symbols

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 Jan 2022 19:43:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> Frankly speaking, I just found this by mistake. I forgot to issue
>> -ggdb when compiling my code. I'm not a reverse engineer.
>
> Right, that figures.  So I'm unsure we should do anything about this
> in Emacs.  Though maybe we could have a special test for a source file
> called "start.S".

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Skimming this bug report, it doesn't seem like there's anything much
productive we can do on the Emacs side here, so I'm therefore closing
this bug report.  If there's something useful we can do, please respond
to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no